<mat-card>
    <form #createForm="ngForm" (ngSubmit)="createUser(createForm)">
    <mat-card-header>
            <mat-card-title>Ajout un utilisateur</mat-card-title>
    </mat-card-header>
    <mat-card-content>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="45%">
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Nom" name="nom" ngModel>
                    </mat-form-field>
            </div>
            <div fxFlex="45%">
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Prénom" name="prenom" ngModel>
                    </mat-form-field>
            </div>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="45%">
                <mat-form-field class="full-width">
                    <input matInput placeholder="Code" name="code" ngModel>
                </mat-form-field>
            </div>
            <div fxFlex="45%">
                <mat-form-field class="full-width">
                    <input matInput placeholder="Email" name="email" ngModel>
                </mat-form-field>
            </div>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="94%">
                    <input class="full-width" type="file" name="avatar" (change)="onFileChange($event)" ngModel/>
            </div>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="45% ">
                <div class="full-width ">
                    <div style="height: 15px"></div>
                    <mat-checkbox name="isEmail" ngModel>Email à l'utilisateur</mat-checkbox>
                </div>
            </div>
            <div fxFlex="45%">
                <mat-form-field class="full-width">
                    <mat-label>Profile</mat-label>
                    <select matNativeControl name="profile" required ngModel>
                        <option disabled>Choisir un profile</option>
                        <option *ngFor="let profile of profiles" value="{{ profile.id }}">{{ profile.label }}</option>
                    </select>
                </mat-form-field>
            </div>
        </div>

        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="45%">
                <div style="height: 15px"></div>
                <mat-checkbox ngModel name="isGenerated">Générer un nouveau mot de passe automatiquement</mat-checkbox>
            </div>
            <div fxFlex="45%">
                <mat-form-field class="full-width">
                    <input matInput [disabled]="createForm.value['isGenerated']" placeholder="Password" name="password" ngModel>
                </mat-form-field>
            </div>
        </div>
        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="45%">
                <div style="height: 15px"></div>
                <mat-checkbox ngModel name="isExpiring">N'expire jamais</mat-checkbox>
            </div>
            <div fxFlex="45%">
                <mat-form-field class="full-width">
                    <input matInput [matDatepicker]="picker" placeholder="Choose a date" [disabled]="createForm.value['isExpiring']" ngModel name="exipirationDate">
                    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
            </div>
        </div>

    </mat-card-content>

    <mat-card-actions>
        <div class="container" fxLayout="row" fxLayout.xs="column" fxLayoutWrap fxLayoutGap="50px" fxLayoutAlign="center">
            <div fxFlex="75%">
            </div>
            <div fxFlex="10%">
                <button type="submit" class="full-width" mat-raised-button color="primary">Ajouter</button>
            </div>
            <div fxFlex="10%">
                <button  class="full-width" mat-raised-button color="accent" (click)="createForm.reset()"> Annuler</button>
            </div>
            <div fxFlex="1%">
            </div>
        </div>
    </mat-card-actions>

</form>

</mat-card>
